Page MenuHomePhabricator

Download button frequently unresponsive
Closed, ResolvedPublic

Description

  1. Visit https://en.wikipedia.org/wiki/Bruce_Lee
  2. Tap the lead image
  3. Tap "download this file"
  4. If the download button is working as expected, exit the viewer and go to step 2 to try again

Expected

Download dialog is shown

Actual

About half the time the download button for the image and all other images in the carousel does nothing. If the viewer is dismissed and reopened, the button usually works. When the carousel is visited directly, it appears to always work.

I've repro'd for logged in and anon users in Chromium v64.0.3282.119 (Official Build) Built on Ubuntu , running on Ubuntu 17.10 (64-bit), and anons in Firefox Quantum v58.0.1 (64-bit).

Details

Related Gerrit Patches:
mediawiki/extensions/MultimediaViewer : masterFix unresponsive download button

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptFeb 4 2018, 5:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ramsey-WMF triaged this task as Medium priority.Feb 5 2018, 6:12 PM
Ramsey-WMF added a project: good first task.
Ramsey-WMF moved this task from Untriaged to Triaged on the Multimedia board.

I think the bug depends on the browser. I have verified in the Google Chrome and Mozilla Firefox, only in Google Chrome, it is displaying the bug. But in the Mozilla Firefox, it is not displaying the bug. Can anyone please verify it?

Clicking the "Download this file" button for the second time in Chromium 62 on https://en.wikipedia.org/wiki/Bruce_Lee?debug=true , the Developer tools' console shows four entries for one single click:

load.php?debug=true&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=14kbqyi:13818  User opened the dialog to download this file.
load.php?debug=true&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=14kbqyi:13818  User closed the dialog to download this file.
load.php?debug=true&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=14kbqyi:13818  User opened the dialog to download this file.
load.php?debug=true&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=14kbqyi:13818  User closed the dialog to download this file.

Which file should be made changes?

@Dheerajmalisetty: You will have to find out yourself by debugging, understanding and playing with the code, testing changes locally.
I've provided message output above and I assume you have searched for it?

Tgr added a subscriber: Tgr.Feb 9 2018, 7:20 PM

The download dialog is lazy-loaded (since it has to pull in the OOUI widget library which is fairly large) when you click on the download icon, this is probably related to the handling of that.

Change 512983 had a related patch set uploaded (by Simon04; owner: Simon04):
[mediawiki/extensions/MultimediaViewer@master] Fix unresponsive download button

https://gerrit.wikimedia.org/r/512983

Change 512983 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Fix unresponsive download button

https://gerrit.wikimedia.org/r/512983

Jdforrester-WMF closed this task as Resolved.May 31 2019, 4:55 PM
Jdforrester-WMF assigned this task to simon04.